Subject: Re: [bug#63227] [PATCH 0/2] gnu: neovim: Update to 0.9.0

From: Efraim Flashner <[email-masked]>
Date: Sun, 7 May 2023 12:43:44 +0300

Thanks for the patch!

On Tue, May 02, 2023 at 01:25:02AM +0200, Benjamin wrote:
> Hello,
> 
> This is my first contribution to guix (and first time using git email
> flow), so I hope I did everything as expected.

There's a file in the guix tree at etc/committer.scm which takes care of
some of the less complex commit messages. I rounded out your commit
messages but otherwise everything looks good.

> This patches update neovim to 0.9.0.
> 
> It was required to bump its dependency tree-sitter to 0.20.8 as 
> there were some missing symbols with 0.20.7.
> I also fixed the script avoiding to include gcc in dependencies 
> as the makefile as moved.
> 
> Benjamin (2):
>   gnu: tree-sitter: Update to 0.20.8
>   gnu: neovim update to 0.9.0
> 
>  gnu/packages/tree-sitter.scm | 4 ++--
>  gnu/packages/vim.scm         | 8 ++++----
>  2 files changed, 6 insertions(+), 6 deletions(-)
> 
> 
> base-commit: f21007ce4aceeacf5bbfc7cd45d526073141f194
> -- 
> 2.39.2

Patch pushed.

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted